Code

collection4.*: Make Apache configuration configurable using debconf.
[pkg-collection4.git] / debian / collection4.postrm
diff --git a/debian/collection4.postrm b/debian/collection4.postrm
new file mode 100644 (file)
index 0000000..235cfb9
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/sh
+# postrm script for collection4
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove)
+               if [ -d /etc/apache2/conf.d/ ]; then
+                       if [ -L /etc/apache2/conf.d/collection4.conf ]; then
+                               ls -l /etc/apache2/conf.d/collection4.conf \
+                                       | grep -q /etc/collection4/apache.conf
+                               if [ $? -eq 0 ]; then
+                                       rm -f /etc/apache2/conf.d/collection4.conf
+                               fi
+                       fi
+               fi
+       ;;
+       upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+       ;;
+
+       *)
+               echo "postrm called with unknown argument \`$1'" >&2
+               exit 1
+       ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+